Author Topic: MTEXT Background Fill  (Read 1617 times)

0 Members and 1 Guest are viewing this topic.

dubb

  • Swamp Rat
  • Posts: 1105
MTEXT Background Fill
« on: July 09, 2014, 01:05:54 PM »
I want to make a script that will allow me to select an MTEXT and apply a background mask with an offset value of 1. However, I don't know which property value contains the offset value.

Code: [Select]
Select object: ; IAcadMText: AutoCAD MText Interface
; Property values:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 0000000140453318>
;   AttachmentPoint = 1
;   BackgroundFill = -1
;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000003c4ae058>
;   DrawingDirection = 1
;   EntityTransparency = "ByLayer"
;   Handle (RO) = "17E06"
;   HasExtensionDictionary (RO) = 0
;   Height = 0.065
;   Hyperlinks (RO) = #<VLA-OBJECT IAcadHyperlinks 00000000551ef048>
;   InsertionPoint = (9.80418 3.93884 0.0)
;   Layer = "0"
;   LineSpacingDistance = 0.108333
;   LineSpacingFactor = 1.0
;   LineSpacingStyle = 1
;   Linetype = "ByLayer"
;   LinetypeScale = 1.0
;   Lineweight = -1
;   Material = "ByLayer"
;   Normal = (0.0 0.0 1.0)
;   ObjectID (RO) = 4152
;   ObjectID32 (RO) = 4152
;   ObjectName (RO) = "AcDbMText"
;   OwnerID (RO) = 4034
;   OwnerID32 (RO) = 4034
;   PlotStyleName = "ByLayer"
;   Rotation = 0.0
;   StyleName = "Standard"
;   TextString = "\\A1;EXISTING NEXT G MIKON CABINET"
;   TrueColor = #<VLA-OBJECT IAcadAcCmColor 0000000055201f40>
;   Visible = -1
;   Width = 0.918705
; Methods supported:
;   ArrayPolar (3)
;   ArrayRectangular (6)
;   Copy ()
;   Delete ()
;   FieldCode ()
;   GetBoundingBox (2)
;   GetExtensionDictionary ()
;   GetXData (3)
;   Highlight (1)
;   IntersectWith (2)
;   Mirror (2)
;   Mirror3D (3)
;   Move (2)
;   Rotate (2)
;   Rotate3D (3)
;   ScaleEntity (2)
;
Select object:
   SetXData (2)
;   TransformBy (1)
;   Update ()

Dave M

  • Newt
  • Posts: 196
Re: MTEXT Background Fill
« Reply #1 on: July 09, 2014, 01:45:42 PM »
Check out Lee's routine, it's great!
http://lee-mac.com/mask.html
Civil 3D 2018 - Microstation SS4 - Windows 10 - Dropbox

dubb

  • Swamp Rat
  • Posts: 1105
Re: MTEXT Background Fill
« Reply #2 on: July 09, 2014, 05:32:45 PM »
I wanted something more verbose with out the dialog box. I just want to click it and hit enter when I am done. The default setting would be to make the offset 1 with a transparent background.